import 'package:bubble_bottom_bar/bubble_bottom_bar.dart';
import 'package:flutter/cupertino.dart';
import 'package:toast/toast.dart';

class Statics {

  static String contentType({ContentType type}) {
    switch (type) {
      case ContentType.json:
        return 'application/json';

      case ContentType.formData:
        return 'multipart/form-data';

      default:
        return 'application/json';
    }
  }

  static String authType({AuthType type, String token}) {
    switch (type) {
      case AuthType.basic:
        return 'Basic ' + token;

      case AuthType.bearer:
        return 'Bearer ' + token;

      default:
        return 'Bearer ' + token;
    }
  }

  static int toastPosition({toastGravity type}) {
    switch (type) {
      case toastGravity.top:
        return Toast.TOP;

      case toastGravity.center:
        return Toast.CENTER;

      case toastGravity.bottom:
        return Toast.BOTTOM;

      default:
        return Toast.CENTER;
    }
  }

  static BubbleBottomBarItem bubbleBottomBarItem ({Widget icon, Widget activeIcon, Color backgroundColor, Widget title}) {
    return BubbleBottomBarItem(
      icon: icon,
      activeIcon: activeIcon,
      backgroundColor: backgroundColor,
      title: title
    );
  }
}

enum ContentType {
  json,
  formData
}

enum AuthType {
  basic,
  bearer
}

enum toastGravity {
  top,
  center,
  bottom
}

